Languages and Scripting
Showing results for 
Search instead for 
Do you mean 

Unstat & migration 11.23 --> 11.11

Highlighted
Frequent Advisor

Unstat & migration 11.23 --> 11.11

Hello.

I compiled under 11.23, a code using BES shared libraries.
Binaries runned well.
(you can have a look at http://forums1.itrc.hp.com/service/forums/questionanswer.do?threadId=1146181 )

I took my binaries and BES shlibs and putted them on 11.11 at the right paths.
Binaries don't run well.

At runtime, I got an Unsat error which didn't appear under 11.23. This is :

/usr/lib/pa20_64/dld.sl: Unsatisfied code symbol 'freeaddrinfo' in load module '/opt/BES/lib/libvport64_r.sl'.
/usr/lib/pa20_64/dld.sl: Unsatisfied code symbol 'getaddrinfo' in load module '/opt/BES/lib/libvport64_r.sl'.

Why would bins/shlibs behave differently under those different environment?
Yazgoo
8 REPLIES
Honored Contributor Honored Contributor

Re: Unstat & migration 11.23 --> 11.11

Hi,

you can always take it as a general rules of thumb, that a runtime environment is not 'upward' compatible:
11i can hardly know how to handle features, which 11iv2 would bring with.

The opposite should work for 'normal' code: exes built under 11i should run under 11iv2.

mfG Peter
The Universe is a pretty big place, it's bigger than anything anyone has ever dreamed of before. So if it's just us, seems like an awful waste of space, right? Jodie Foster in "Contact"
Frequent Advisor

Re: Unstat & migration 11.23 --> 11.11

Okay, so I'll try and compile under 11i v1.
And I'll see what happens...
Had I knew that...
Yazgoo
Acclaimed Contributor Acclaimed Contributor

Re: Unsat & migration 11.23 --> 11.11

[ Edited ]

If you recompile on 11.11, you may still get unsats for getaddrinfo. This requires a patch.

Acclaimed Contributor Acclaimed Contributor

Re: Unsat & migration 11.23 --> 11.11

[ Edited ]

>you may still get unsats for getaddrinfo

It is there at least in PHCO_34275 or later.

>I'll try and compile under 11i v1.

You must also use 11.11 versions of BES shlibs.

Frequent Advisor

Re: Unstat & migration 11.23 --> 11.11

1) I have copied 11.23 BES 6.5 libs on 11.11 and compiled and still got the same unsats so what you said was right.

2) On support.borland.com, there's only one bin installer for HPUX .Do you thinks it behaves differently if you install on 11.11 ?

3) I have another vesion (5.2) already installed on 11.11. Will I be able to restore this one easily if anything happens?
Yazgoo
Acclaimed Contributor Acclaimed Contributor

Re: Unsat & migration 11.23 --> 11.11

[ Edited ]

>1) I have copied 11.23 BES 6.5 libs on 11.11 and compiled and still got the same unsats so what you said was right.

Well, you could install a libc patch and try skipping 2) and 3) below.

>2) On support.borland.com, there's only one bin installer for HP-UX. Do you thinks it behaves differently if you install on 11.11?

I don't know, it doesn't say?

>3) I have another version (5.2) already installed on 11.11. Will I be able to restore this one easily if anything happens?

Again I don't know. Do you have your original installation media?

Frequent Advisor

Re: Unstat & migration 11.23 --> 11.11

>1)
>Well, you could install a libc patch and >try skipping 2) and 3) below.

ok

>2)
>I don't know, it doesn't say?

No it doesn't ^^

>3)
>Again I don't know. Do you have your >original installation media?

I don't know, I'll look for that

I got another idea I'd like to try because that wouldn't require changes.
Isn't there something like aCC -static, to force static linking ?
That would be nice ...
Yazgoo
Acclaimed Contributor Acclaimed Contributor

Re: Unsat & migration 11.23 --> 11.11

[ Edited ]

>Isn't there something like aCC -static, to force static linking?

Do you have archive libs for each shlib?

Just put the shlibs elsewhere and then set the SHLIB_PATH to them.